%global commit 41fddda1a4f430e45bef0154e1fdfe5671025f1e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          vecmath
Version:       1.6.0
Release:       %mkrel 0.1.20130710git41fddda.5
Summary:       The 3D vector math Java package, javax.vecmath
Group:         Development/Java
# License is GNU General Public License, version 2, with the Classpath Exception
License:       GPLv2 with exceptions
URL:           http://github.com/hharrison/vecmath
Source0:       https://github.com/hharrison/vecmath/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Fix link to javadoc
Patch0:        %{name}-%{version}-javadoc-link.patch
BuildArch:     noarch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: java-javadoc
BuildRequires: jpackage-utils

Requires:      java >= 1:1.6.0
Requires:      jpackage-utils

%description
The 3D vector math Java package, javax.vecmath.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -qn %{name}-%{commit}
%patch0 -p0

%build
%ant jar docs

%install
install -D -p -m 644 build/jars/%{name}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a build/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc docs/api-changes* COPYRIGHT.txt LICENSE.txt LICENSE-SPEC.html
%{_javadir}/%{name}.jar

%files javadoc
%doc COPYRIGHT.txt LICENSE.txt LICENSE-SPEC.html
%{_javadocdir}/%{name}



%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.5.mga6
+ Revision: 944780
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.4.mga5
+ Revision: 747328
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.3.mga5
+ Revision: 690191
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.6.0-0.1.20130710git41fddda.2.mga4
+ Revision: 541247
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.6.0-0.1.20130710git41fddda.1.mga4
+ Revision: 495396
- New version

* Mon Feb 18 2013 dmorgan <dmorgan> 1.5.2-2.mga3
+ Revision: 399015
- Add provide to workaround java3d build ( will be removed after)

* Mon Feb 18 2013 dmorgan <dmorgan> 1.5.2-1.mga3
+ Revision: 399007
- imported package vecmath

